## javax.help
Class JHelpTOCNavigator

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.help.JHelpNavigator
                      javax.help.JHelpTOCNavigator

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JHelpTOCNavigator
extends JHelpNavigator

A JHelpNavigator for a TOC. All of the tree navigation and selection has been delegated to the UI where the JTree is created.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelpTOCNavigator(HelpSet hs, java.lang.String name, java.lang.String label, java.net.URL data)` Creates a TOC navigator with explicit arguments.
`JHelpTOCNavigator(NavigatorView view)` Create a TOC navigator
`JHelpTOCNavigator(NavigatorView view, HelpModel model)` Creates a TOC navigator.

Method Summary
`boolean` `canMerge(NavigatorView view)` Determines if this instance of a JHelpNavigator can merge its data with another one.
`void` `collapseID(java.lang.String target)` Sets state of navigation entry for given target to collapsed if entry is visible.
`void` `expandID(java.lang.String target)` Sets state of navigation entry for given target to expanded.
`java.lang.String` `getUIClassID()` The UID for this JComponent.
`void` `merge(NavigatorView view)` Merges a NavigatorView into this instance.
`void` `remove(NavigatorView view)` Removes a NavigatorView from this instance.

Methods inherited from class javax.help.JHelpNavigator
`addHelpModelListener, getAccessibleContext, getIcon, getModel, getNavigatorLabel, getNavigatorLabel, getNavigatorName, getNavigatorView, getSelectedItems, getUI, removeHelpModelListener, setModel, setSelectedItems, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelpTOCNavigator

    public JHelpTOCNavigator(NavigatorView view)

  Create a TOC navigator

Parameters:
  `view` - The NavigatorView. If view is null it creates a JHelpTOCNavigator without a HelpModel and a null NavigatorView.

### JHelpTOCNavigator

    public JHelpTOCNavigator(NavigatorView view,
                             HelpModel model)

  Creates a TOC navigator.

Parameters:
  `view` - The NavigatorView. If `view` is null it creates a JHelpTOCNavigator with a null NavigatorView.
  `model` - The model for the Navigator. If `model` is null it creates a JHelpTOCNavigator witout a model.

### JHelpTOCNavigator

    public JHelpTOCNavigator(HelpSet hs,
                             java.lang.String name,
                             java.lang.String label,
                             java.net.URL data)
                      throws InvalidNavigatorViewException

  Creates a TOC navigator with explicit arguments. Note that this should not throw an InvalidNavigatorViewException since the type is implicitly passed.

Parameters:
  `hs` - HelpSet
  `name` - The name indentifying this HelpSet.
  `label` - The label to use (for this locale).
  `data` - The "data" part of the parameters, a URL location of the TOC data.

Method Detail

### getUIClassID

    public java.lang.String getUIClassID()

  The UID for this JComponent.

  Overrides:
    `getUIClassID` in class `JHelpNavigator`
  Returns:
    "HelpNavigatorUI"

### canMerge

    public boolean canMerge(NavigatorView view)

  Determines if this instance of a JHelpNavigator can merge its data with another one.

  Overrides:
    `canMerge` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge.
  Returns:
    Whether it can be merged.
  See Also:
    `merge()`, `remove()`

### merge

    public void merge(NavigatorView view)

  Merges a NavigatorView into this instance.

  Overrides:
    `merge` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge. This must be a TOCView.
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`
  See Also:
    `canMerge()`, `remove()`

### remove

    public void remove(NavigatorView view)

  Removes a NavigatorView from this instance.

  Overrides:
    `remove` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge.
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`
  See Also:
    `canMerge()`, `merge()`

### expandID

    public void expandID(java.lang.String target)

  Sets state of navigation entry for given target to expanded. Non-empty entry is expanded. Empty entry is visible.

  Parameters:
    `target` - The target to expand

### collapseID

    public void collapseID(java.lang.String target)

  Sets state of navigation entry for given target to collapsed if entry is visible. Parent is collapsed if entry is empty.

  Parameters:
    `target` - The target to collapse